Package com.google.protobuf

# Interface StructOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Struct`, `Struct.Builder`

public interface StructOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsFields(String key)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Map<String,Value>`
`getFields()`
Deprecated.
`int`
`getFieldsCount()`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Map<String,Value>`
`getFieldsMap()`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
`getFieldsOrDefault(String key, Value defaultValue)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`
`Value`
`getFieldsOrThrow(String key)`
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getFieldsCount

int getFieldsCount()
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`

### containsFields

boolean containsFields(String key)
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`

### getFields

@Deprecated Map<String,Value> getFields()
Deprecated.
Use `getFieldsMap()` instead.

### getFieldsMap

Map<String,Value> getFieldsMap()
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`

### getFieldsOrDefault

Value getFieldsOrDefault(String key, Value defaultValue)
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`

### getFieldsOrThrow

Value getFieldsOrThrow(String key)
`map<string, .google.protobuf.Value> fields = 1 [json_name = "fields"];`